Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor
Interface JMXMonitorMgr

All Superinterfaces:
  AMX, AMXMBeanLogging, NotificationBroadcaster, NotificationEmitter, Singleton, Utility

public interface JMXMonitorMgr
extends AMX, Singleton, Utility

Supports the standard monitoring facilities of javax.management.monitor by making available routines to create the Monitors available in javax.management.monitor, and to determine query which such Monitors are currently loaded.

Note that the naming is somewhat confusing; the use of the term "Monitor" here derives from javax.management.monitor; com.sun.appserv.monitor refers to MBeans that provide statistics on appserver runtime entities.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`AMXCounterMonitor` | `createCounterMonitor(java.lang.String name)` Create a new Monitor.
`AMXGaugeMonitor` | `createGaugeMonitor(java.lang.String name)` Create a new Monitor.
`AMXStringMonitor` | `createStringMonitor(java.lang.String name)` Create a new Monitor.
`java.util.Map` | `getCounterMonitorMap()` Return a Map of all AMXCounterMonitor.
`java.util.Map` | `getGaugeMonitorMap()` Return a Map of all AMXGaugeMonitor.
`java.util.Map` | `getStringMonitorMap()` Return a Map of all AMXStringMonitorMBean.
`void` | `remove(java.lang.String name)` Remove a Monitor by name.

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### createStringMonitor

    public AMXStringMonitor createStringMonitor(java.lang.String name)

  Create a new Monitor.

  Parameters:
    `name` -

### createCounterMonitor

    public AMXCounterMonitor createCounterMonitor(java.lang.String name)

  Create a new Monitor.

  Parameters:
    `name` -

### createGaugeMonitor

    public AMXGaugeMonitor createGaugeMonitor(java.lang.String name)

  Create a new Monitor.

  Parameters:
    `name` -

### getStringMonitorMap

    public java.util.Map getStringMonitorMap()

  Return a Map of all AMXStringMonitorMBean. The Map is keyed by name.

### getCounterMonitorMap

    public java.util.Map getCounterMonitorMap()

  Return a Map of all AMXCounterMonitor. The Map is keyed by name.

### getGaugeMonitorMap

    public java.util.Map getGaugeMonitorMap()

  Return a Map of all AMXGaugeMonitor. The Map is keyed by name.

### remove

    public void remove(java.lang.String name)

  Remove a Monitor by name.

  Parameters:
    `name` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.